@font-face {
    font-family: "DungGeunMo";
    src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/noonfonts_six@1.2/DungGeunMo.woff")
        format("woff");
    font-weight: normal;
    font-style: normal;
}

*,
*::before {
    box-sizing: border-box;
    -webkit-tap-highlight-color: transparent;
}

html,
body {
    width: 100%;
    height: 100%;
    margin: 0;
}

body {
    font-family: "DungGeunMo";
    display: flex;
    justify-content: center;
    align-items: center;
    background: #121212;
}

/* calculator */

#calculator {
    width: 90%;
    max-width: 430px;
    padding: 25px;
    border-radius: 25px;
    background: linear-gradient(to bottom right, #404040, #0c0c0c);
}

/* input */
#input-wrap {
    position: relative;
    width: calc(100% - 4px);
    margin-bottom: 5px;
    padding: 0 5px;
    background: #a1bd66;
    box-shadow: inset 0px 0px 15px 0px rgba(0, 0, 0, 0.5);
}

#input {
    height: 5rem;
    line-height: 5rem;
    font-size: 2rem;
}

#tmp {
    position: absolute;
    left: 10px;
    top: 0.25rem;
    color: grey;
    font-size: 1.4rem;
}

/* button */
#button-wrap {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    justify-content: space-around;
}

#button-wrap > button {
    width: calc(25% - 4px);
    text-align: center;
    line-height: 5rem;
    margin: 2px 0;
    background: grey;
    color: #f1f1f1;
    border-radius: 4px;
    cursor: pointer;
    user-select: none;
    outline: 0;
    transition: 0.3s;
}

#button-wrap > button.num-0 {
    width: calc(50% - 4px);
}

#button-wrap > button.number {
    background: #5d5d5f;
}

#button-wrap > button:hover {
    box-shadow: inset 0px 0px 15px 0px rgba(0, 0, 0, 0.3);
}

#button-wrap > button#result {
    background: #f55530;
}
